# Subtitle Reader

## このプロジェクトに協力してください。

[こちらにアクセスしてください。](https://github.com/maxe-hsieh/subtitle_reader)

---

## 概要

ブラウザを使用して動画を視聴する際、NVDAがページ上のCC字幕を見つけるのを支援し、NVDAが音声と点字でリアルタイムに字幕を読み上げて表示します。

---

## 説明

### 特徴

* Netflix、Disney+、Youtube、KKTVなどのウェブサイトに対応。
* 一般的に使用されているブラウザに対応。
* ウェブページ上でCC字幕を自動的に検出。
* 音声および点字によるフィードバック。
* 自動更新チェック機能。
* クイック切り替えスイッチ。

---

### 操作手順

ブラウザを使用して、対応するウェブサイトを開き、CC字幕が利用可能なビデオを選択します。その後、ビデオプレーヤーの範囲にフォーカスを移動させると、音声や点字ディスプレイで字幕を聞いたり読んだりすることができます。

字幕フィードバックを一時停止するには、NVDAの音声出力をオフにするか、プレーヤーで字幕をオフにするか、NVDA+yを押してフィードバックを停止してください。

---

### NVDA互換性

Subtitle ReaderはすべてのバージョンのNVDAをサポートすることを目指しており、最も古いテスト済みバージョンは2019.2.1です。

---

### 対応ブラウザ

以下に、Subtitle Readerがサポートするブラウザと最新のテスト済みバージョンを示します：

* Google Chrome (97.0.4692.99 (正式版) (64ビット))
* Mozilla Firefox (77.0.1（64ビット）)
* Microsoft Edge (97.0.1072.76 (公式ビルド) (64ビット))
* Brave (1.34.81 Chromium: 97.0.4692.99 (正式版) (64ビット))

---

### ジェスチャー

以下に、デフォルトのジェスチャーとそれに対応する機能を示します。すべてのジェスチャーはNVDAの入力ジェスチャー設定で変更可能です。

* NVDA+y: Subtitle Readerの切り替え

---

### 注意事項

1. Subtitle Readerは上記のブラウザでのみ使用可能です。
2. 字幕を聞くには、フォーカスがビデオプレーヤーにある必要があります。通常、現在の時間、音量、ビデオ再生設定のコントロールがビデオプレーヤーの範囲に含まれます。
3. ビデオにCC字幕が利用可能か確認してください。利用可能であれば、ブラウズモードを使用して動的な字幕テキストを見つけることができます。
4. ウェブサイトが再生インターフェースを更新した場合、Subtitle Readerは無効になります。その場合は、Subtitle Readerの更新を待つか、下記の連絡先を使用して私に連絡してください。

---

## 連絡先情報

使用中に質問や提案がある場合は、以下の連絡先からお気軽にご連絡ください。

* Skype:
[p15937a](https://join.skype.com/invite/VnIdifjym1OR)
* Facebook:
[プロフィール](https://m.facebook.com/profile.php?id=100002631752665&refid=46&ref=content_filter&__xts__[0]=12.%7B%22browse_result_type%22%3A%22browse_type_user%22%2C%22click_type%22%3A%22result%22%2C%22module_result_position%22%3A0%2C%22module_role%22%3A%22ENTITY_USER%22%2C%22result_id%22%3A100002631752665%2C%22session_id%22%3A%222108b07c-e391-4921-aaa7-474a90634d73%22%2C%22unit_id%22%3A%22mtouch_bem_res%3A30287062e76b81d229366f24878df5b4%22%2C%22unit_id_click_type%22%3A%22graph_search_results_item_in_module_tapped%22%2C%22unit_id_result_id%22%3A100002631752665%7D)
* NVDA 台湾 討論區：
[[分享] 字幕閱讀器 - 討論區  |   NVDA 台湾](https://www.nvda.tw/discussion/ui=2005603400tm=1964947895)

---
